Skip to main content
GET
Get automation invocation

Authorizations

Authorization
string
header
required

Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.

Headers

X-Workspace-ID
string<uuid>

Company UUID for a personal token on company-scoped operations. A company API key already binds its company.

Path Parameters

id
string
required

id from the corresponding authorized response.

invocationId
string
required

invocationId from the corresponding authorized response.

Response

AutomationInvocationResponse.

id
string
required
automation_id
string
required
trigger_id
string | null
required
source
string
required
status
string
required
task_id
string | null
required
run_id
string | null
required
triggered_at
string
required
completed_at
string | null
required
failure_reason
string | null
required
trigger_payload
any
required
result
any
required
created_at
string
required
reason_code
string | null